- use automake defined pkgdata dir for lua script dir instead of hardcoded
[apt.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 subdir = .
39 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(top_srcdir)/buildlib/config.h.in \
41         $(top_srcdir)/configure $(top_srcdir)/intl/Makefile.in \
42         ABOUT-NLS AUTHORS COPYING ChangeLog TODO
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
45         $(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/gettext.m4 \
46         $(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
47         $(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
48         $(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
49         $(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
50         $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
51         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/stdint_h.m4 \
52         $(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
53         $(top_srcdir)/configure.in
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
57  configure.lineno configure.status.lineno
58 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
59 CONFIG_HEADER = $(top_builddir)/include/config.h
60 CONFIG_CLEAN_FILES = intl/Makefile
61 SOURCES =
62 DIST_SOURCES =
63 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
64         html-recursive info-recursive install-data-recursive \
65         install-exec-recursive install-info-recursive \
66         install-recursive installcheck-recursive installdirs-recursive \
67         pdf-recursive ps-recursive uninstall-info-recursive \
68         uninstall-recursive
69 ETAGS = etags
70 CTAGS = ctags
71 DIST_SUBDIRS = $(SUBDIRS)
72 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
73 distdir = $(PACKAGE)-$(VERSION)
74 top_distdir = $(distdir)
75 am__remove_distdir = \
76   { test ! -d $(distdir) \
77     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
78          && rm -fr $(distdir); }; }
79 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
80 GZIP_ENV = --best
81 distuninstallcheck_listfiles = find . -type f -print
82 distcleancheck_listfiles = find . -type f -print
83 ACLOCAL = @ACLOCAL@
84 ALLOCA = @ALLOCA@
85 AMDEP_FALSE = @AMDEP_FALSE@
86 AMDEP_TRUE = @AMDEP_TRUE@
87 AMTAR = @AMTAR@
88 AR = @AR@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
94 CATOBJEXT = @CATOBJEXT@
95 CC = @CC@
96 CCDEPMODE = @CCDEPMODE@
97 CFLAGS = @CFLAGS@
98 COMPILE_APTSHELL_FALSE = @COMPILE_APTSHELL_FALSE@
99 COMPILE_APTSHELL_TRUE = @COMPILE_APTSHELL_TRUE@
100 COMPILE_MANPAGES_FALSE = @COMPILE_MANPAGES_FALSE@
101 COMPILE_MANPAGES_TRUE = @COMPILE_MANPAGES_TRUE@
102 COMPILE_STATIC_FALSE = @COMPILE_STATIC_FALSE@
103 COMPILE_STATIC_TRUE = @COMPILE_STATIC_TRUE@
104 CPP = @CPP@
105 CPPFLAGS = @CPPFLAGS@
106 CXX = @CXX@
107 CXXCPP = @CXXCPP@
108 CXXDEPMODE = @CXXDEPMODE@
109 CXXFLAGS = @CXXFLAGS@
110 CYGPATH_W = @CYGPATH_W@
111 DATADIRNAME = @DATADIRNAME@
112 DEFS = @DEFS@
113 DEPDIR = @DEPDIR@
114 DOCBOOK2MAN = @DOCBOOK2MAN@
115 ECHO = @ECHO@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 F77 = @F77@
122 FFLAGS = @FFLAGS@
123 GENCAT = @GENCAT@
124 GLIBC21 = @GLIBC21@
125 GLIBC_VER = @GLIBC_VER@
126 GMSGFMT = @GMSGFMT@
127 HAVE_TIMEGM = @HAVE_TIMEGM@
128 INSTALL_DATA = @INSTALL_DATA@
129 INSTALL_PROGRAM = @INSTALL_PROGRAM@
130 INSTALL_SCRIPT = @INSTALL_SCRIPT@
131 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
132 INSTOBJEXT = @INSTOBJEXT@
133 INTLBISON = @INTLBISON@
134 INTLLIBS = @INTLLIBS@
135 INTLOBJS = @INTLOBJS@
136 INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
137 LDFLAGS = @LDFLAGS@
138 LIBICONV = @LIBICONV@
139 LIBINTL = @LIBINTL@
140 LIBOBJS = @LIBOBJS@
141 LIBS = @LIBS@
142 LIBSTDCPP_VER = @LIBSTDCPP_VER@
143 LIBTOOL = @LIBTOOL@
144 LIBXML2_CFLAGS = @LIBXML2_CFLAGS@
145 LIBXML2_LIBS = @LIBXML2_LIBS@
146 LN_S = @LN_S@
147 LTLIBICONV = @LTLIBICONV@
148 LTLIBINTL = @LTLIBINTL@
149 LTLIBOBJS = @LTLIBOBJS@
150 MAINT = @MAINT@
151 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
152 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
153 MAKEINFO = @MAKEINFO@
154 MKINSTALLDIRS = @MKINSTALLDIRS@
155 MSGFMT = @MSGFMT@
156 MSGMERGE = @MSGMERGE@
157 NEED_INTTYPES_H_FALSE = @NEED_INTTYPES_H_FALSE@
158 NEED_INTTYPES_H_TRUE = @NEED_INTTYPES_H_TRUE@
159 NEED_NETDB_H_FALSE = @NEED_NETDB_H_FALSE@
160 NEED_NETDB_H_TRUE = @NEED_NETDB_H_TRUE@
161 NEED_SOCKLEN_T_DEFINE = @NEED_SOCKLEN_T_DEFINE@
162 NEED_STATVFS_H_FALSE = @NEED_STATVFS_H_FALSE@
163 NEED_STATVFS_H_TRUE = @NEED_STATVFS_H_TRUE@
164 OBJEXT = @OBJEXT@
165 PACKAGE = @PACKAGE@
166 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
167 PACKAGE_NAME = @PACKAGE_NAME@
168 PACKAGE_STRING = @PACKAGE_STRING@
169 PACKAGE_TARNAME = @PACKAGE_TARNAME@
170 PACKAGE_VERSION = @PACKAGE_VERSION@
171 PATH_SEPARATOR = @PATH_SEPARATOR@
172 PKG_CONFIG = @PKG_CONFIG@
173 POSUB = @POSUB@
174 PTHREADLIB = @PTHREADLIB@
175 RANLIB = @RANLIB@
176 RPMLIBS = @RPMLIBS@
177 RPM_PATH = @RPM_PATH@
178 SET_MAKE = @SET_MAKE@
179 SHELL = @SHELL@
180 SOCKETLIBS = @SOCKETLIBS@
181 STRIP = @STRIP@
182 USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
183 USE_NLS = @USE_NLS@
184 VERSION = @VERSION@
185 WITH_LUA_FALSE = @WITH_LUA_FALSE@
186 WITH_LUA_TRUE = @WITH_LUA_TRUE@
187 XGETTEXT = @XGETTEXT@
188 ac_ct_AR = @ac_ct_AR@
189 ac_ct_CC = @ac_ct_CC@
190 ac_ct_CXX = @ac_ct_CXX@
191 ac_ct_F77 = @ac_ct_F77@
192 ac_ct_RANLIB = @ac_ct_RANLIB@
193 ac_ct_STRIP = @ac_ct_STRIP@
194 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
195 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
196 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
197 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
198 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
199 am__include = @am__include@
200 am__leading_dot = @am__leading_dot@
201 am__quote = @am__quote@
202 am__tar = @am__tar@
203 am__untar = @am__untar@
204 bindir = @bindir@
205 build = @build@
206 build_alias = @build_alias@
207 build_cpu = @build_cpu@
208 build_os = @build_os@
209 build_vendor = @build_vendor@
210 datadir = @datadir@
211 exec_prefix = @exec_prefix@
212 host = @host@
213 host_alias = @host_alias@
214 host_cpu = @host_cpu@
215 host_os = @host_os@
216 host_vendor = @host_vendor@
217 includedir = @includedir@
218 infodir = @infodir@
219 install_sh = @install_sh@
220 libdir = @libdir@
221 libexecdir = @libexecdir@
222 localstatedir = @localstatedir@
223 mandir = @mandir@
224 mkdir_p = @mkdir_p@
225 oldincludedir = @oldincludedir@
226 prefix = @prefix@
227 program_transform_name = @program_transform_name@
228 sbindir = @sbindir@
229 sharedstatedir = @sharedstatedir@
230 sysconfdir = @sysconfdir@
231 target_alias = @target_alias@
232 SUBDIRS = buildlib intl lua apt-pkg methods cmdline tools doc po
233 ACLOCAL_AMFLAGS = -I m4 -I buildlib
234 EXTRA_DIST = AUTHORS.RPM COPYING.GPL rpmpriorities test/conf.cc \
235         test/extract-control.cc test/hash.cc test/makefile \
236         test/mthdcat.cc test/rpmver.cc test/scratch.cc test/testdeb.cc \
237         test/testextract.cc test/uri.cc test/versions.lst \
238         test/versiontest.cc python/apt.i python/apt.py \
239         python/apt_wrap.cxx python/Makefile \
240         python/swig-1.3.16-cxx.patch contrib/gpg-check/README \
241         contrib/gpg-check/gpg-check.conf \
242         contrib/gpg-check/gpg-import.lua \
243         contrib/gpg-check/gpg-check.lua \
244         contrib/gpg-check/gpg-import.conf \
245         contrib/apt-groupinstall/apt-groupinstall.conf \
246         contrib/apt-groupinstall/README \
247         contrib/apt-groupinstall/groupinstall-backend-suse \
248         contrib/apt-groupinstall/groupinstall-backend-comps.py \
249         contrib/apt-groupinstall/apt-groupinstall.lua \
250         contrib/log/README contrib/log/log.lua contrib/log/log.conf \
251         contrib/apt-wrapper/apt.1 contrib/apt-wrapper/apt \
252         contrib/apt-wrapper/apt.1.xml contrib/apt-wrapper/apt.ent \
253         contrib/list-extras/README \
254         contrib/list-extras/list-extras.conf \
255         contrib/list-extras/list-extras.lua \
256         contrib/allow-duplicated/README \
257         contrib/allow-duplicated/allow-duplicated.conf \
258         contrib/allow-duplicated/allow-duplicated.lua \
259         contrib/list-nodeps/README contrib/list-nodeps/list-nodeps.lua \
260         contrib/list-nodeps/list-nodeps.conf \
261         contrib/apt-files/apt-files.lua contrib/apt-files/README \
262         contrib/apt-files/convert.py contrib/apt-files/apt-files.conf \
263         contrib/install-devel/README \
264         contrib/install-devel/install-devel.lua \
265         contrib/preserve-conf/preserve-conf.lua \
266         contrib/preserve-conf/preserve-conf.conf \
267         contrib/proxypasswd/README contrib/proxypasswd/proxypasswd.lua \
268         contrib/guess/README contrib/guess/guess.conf \
269         contrib/guess/guess.lua
270 all: all-recursive
271
272 .SUFFIXES:
273 am--refresh:
274         @:
275 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
276         @for dep in $?; do \
277           case '$(am__configure_deps)' in \
278             *$$dep*) \
279               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
280               cd $(srcdir) && $(AUTOMAKE) --foreign  \
281                 && exit 0; \
282               exit 1;; \
283           esac; \
284         done; \
285         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
286         cd $(top_srcdir) && \
287           $(AUTOMAKE) --foreign  Makefile
288 .PRECIOUS: Makefile
289 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
290         @case '$?' in \
291           *config.status*) \
292             echo ' $(SHELL) ./config.status'; \
293             $(SHELL) ./config.status;; \
294           *) \
295             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
296             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
297         esac;
298
299 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
300         $(SHELL) ./config.status --recheck
301
302 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
303         cd $(srcdir) && $(AUTOCONF)
304 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
305         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
306
307 include/config.h: include/stamp-h1
308         @if test ! -f $@; then \
309           rm -f include/stamp-h1; \
310           $(MAKE) include/stamp-h1; \
311         else :; fi
312
313 include/stamp-h1: $(top_srcdir)/buildlib/config.h.in $(top_builddir)/config.status
314         @rm -f include/stamp-h1
315         cd $(top_builddir) && $(SHELL) ./config.status include/config.h
316 $(top_srcdir)/buildlib/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
317         cd $(top_srcdir) && $(AUTOHEADER)
318         rm -f include/stamp-h1
319         touch $@
320
321 distclean-hdr:
322         -rm -f include/config.h include/stamp-h1
323 intl/Makefile: $(top_builddir)/config.status $(top_srcdir)/intl/Makefile.in
324         cd $(top_builddir) && $(SHELL) ./config.status $@
325
326 mostlyclean-libtool:
327         -rm -f *.lo
328
329 clean-libtool:
330         -rm -rf .libs _libs
331
332 distclean-libtool:
333         -rm -f libtool
334 uninstall-info-am:
335
336 # This directory's subdirectories are mostly independent; you can cd
337 # into them and run `make' without going through this Makefile.
338 # To change the values of `make' variables: instead of editing Makefiles,
339 # (1) if the variable is set in `config.status', edit `config.status'
340 #     (which will cause the Makefiles to be regenerated when you run `make');
341 # (2) otherwise, pass the desired values on the `make' command line.
342 $(RECURSIVE_TARGETS):
343         @failcom='exit 1'; \
344         for f in x $$MAKEFLAGS; do \
345           case $$f in \
346             *=* | --[!k]*);; \
347             *k*) failcom='fail=yes';; \
348           esac; \
349         done; \
350         dot_seen=no; \
351         target=`echo $@ | sed s/-recursive//`; \
352         list='$(SUBDIRS)'; for subdir in $$list; do \
353           echo "Making $$target in $$subdir"; \
354           if test "$$subdir" = "."; then \
355             dot_seen=yes; \
356             local_target="$$target-am"; \
357           else \
358             local_target="$$target"; \
359           fi; \
360           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
361           || eval $$failcom; \
362         done; \
363         if test "$$dot_seen" = "no"; then \
364           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
365         fi; test -z "$$fail"
366
367 mostlyclean-recursive clean-recursive distclean-recursive \
368 maintainer-clean-recursive:
369         @failcom='exit 1'; \
370         for f in x $$MAKEFLAGS; do \
371           case $$f in \
372             *=* | --[!k]*);; \
373             *k*) failcom='fail=yes';; \
374           esac; \
375         done; \
376         dot_seen=no; \
377         case "$@" in \
378           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
379           *) list='$(SUBDIRS)' ;; \
380         esac; \
381         rev=''; for subdir in $$list; do \
382           if test "$$subdir" = "."; then :; else \
383             rev="$$subdir $$rev"; \
384           fi; \
385         done; \
386         rev="$$rev ."; \
387         target=`echo $@ | sed s/-recursive//`; \
388         for subdir in $$rev; do \
389           echo "Making $$target in $$subdir"; \
390           if test "$$subdir" = "."; then \
391             local_target="$$target-am"; \
392           else \
393             local_target="$$target"; \
394           fi; \
395           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
396           || eval $$failcom; \
397         done && test -z "$$fail"
398 tags-recursive:
399         list='$(SUBDIRS)'; for subdir in $$list; do \
400           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
401         done
402 ctags-recursive:
403         list='$(SUBDIRS)'; for subdir in $$list; do \
404           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
405         done
406
407 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
408         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
409         unique=`for i in $$list; do \
410             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
411           done | \
412           $(AWK) '    { files[$$0] = 1; } \
413                END { for (i in files) print i; }'`; \
414         mkid -fID $$unique
415 tags: TAGS
416
417 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
418                 $(TAGS_FILES) $(LISP)
419         tags=; \
420         here=`pwd`; \
421         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
422           include_option=--etags-include; \
423           empty_fix=.; \
424         else \
425           include_option=--include; \
426           empty_fix=; \
427         fi; \
428         list='$(SUBDIRS)'; for subdir in $$list; do \
429           if test "$$subdir" = .; then :; else \
430             test ! -f $$subdir/TAGS || \
431               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
432           fi; \
433         done; \
434         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
435         unique=`for i in $$list; do \
436             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
437           done | \
438           $(AWK) '    { files[$$0] = 1; } \
439                END { for (i in files) print i; }'`; \
440         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
441           test -n "$$unique" || unique=$$empty_fix; \
442           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
443             $$tags $$unique; \
444         fi
445 ctags: CTAGS
446 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
447                 $(TAGS_FILES) $(LISP)
448         tags=; \
449         here=`pwd`; \
450         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
451         unique=`for i in $$list; do \
452             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
453           done | \
454           $(AWK) '    { files[$$0] = 1; } \
455                END { for (i in files) print i; }'`; \
456         test -z "$(CTAGS_ARGS)$$tags$$unique" \
457           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
458              $$tags $$unique
459
460 GTAGS:
461         here=`$(am__cd) $(top_builddir) && pwd` \
462           && cd $(top_srcdir) \
463           && gtags -i $(GTAGS_ARGS) $$here
464
465 distclean-tags:
466         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
467
468 distdir: $(DISTFILES)
469         $(am__remove_distdir)
470         mkdir $(distdir)
471         $(mkdir_p) $(distdir)/buildlib $(distdir)/contrib/allow-duplicated $(distdir)/contrib/apt-files $(distdir)/contrib/apt-groupinstall $(distdir)/contrib/apt-wrapper $(distdir)/contrib/gpg-check $(distdir)/contrib/guess $(distdir)/contrib/install-devel $(distdir)/contrib/list-extras $(distdir)/contrib/list-nodeps $(distdir)/contrib/log $(distdir)/contrib/preserve-conf $(distdir)/contrib/proxypasswd $(distdir)/intl $(distdir)/m4 $(distdir)/po $(distdir)/python $(distdir)/test
472         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
473         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
474         list='$(DISTFILES)'; for file in $$list; do \
475           case $$file in \
476             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
477             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
478           esac; \
479           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
480           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
481           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
482             dir="/$$dir"; \
483             $(mkdir_p) "$(distdir)$$dir"; \
484           else \
485             dir=''; \
486           fi; \
487           if test -d $$d/$$file; then \
488             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
489               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
490             fi; \
491             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
492           else \
493             test -f $(distdir)/$$file \
494             || cp -p $$d/$$file $(distdir)/$$file \
495             || exit 1; \
496           fi; \
497         done
498         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
499           if test "$$subdir" = .; then :; else \
500             test -d "$(distdir)/$$subdir" \
501             || $(mkdir_p) "$(distdir)/$$subdir" \
502             || exit 1; \
503             distdir=`$(am__cd) $(distdir) && pwd`; \
504             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
505             (cd $$subdir && \
506               $(MAKE) $(AM_MAKEFLAGS) \
507                 top_distdir="$$top_distdir" \
508                 distdir="$$distdir/$$subdir" \
509                 distdir) \
510               || exit 1; \
511           fi; \
512         done
513         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
514           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
515           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
516           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
517         || chmod -R a+r $(distdir)
518 dist-gzip: distdir
519         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
520         $(am__remove_distdir)
521 dist-bzip2: distdir
522         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
523         $(am__remove_distdir)
524
525 dist-tarZ: distdir
526         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
527         $(am__remove_distdir)
528
529 dist-shar: distdir
530         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
531         $(am__remove_distdir)
532
533 dist-zip: distdir
534         -rm -f $(distdir).zip
535         zip -rq $(distdir).zip $(distdir)
536         $(am__remove_distdir)
537
538 dist dist-all: distdir
539         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
540         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
541         $(am__remove_distdir)
542
543 # This target untars the dist file and tries a VPATH configuration.  Then
544 # it guarantees that the distribution is self-contained by making another
545 # tarfile.
546 distcheck: dist
547         case '$(DIST_ARCHIVES)' in \
548         *.tar.gz*) \
549           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
550         *.tar.bz2*) \
551           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
552         *.tar.Z*) \
553           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
554         *.shar.gz*) \
555           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
556         *.zip*) \
557           unzip $(distdir).zip ;;\
558         esac
559         chmod -R a-w $(distdir); chmod a+w $(distdir)
560         mkdir $(distdir)/_build
561         mkdir $(distdir)/_inst
562         chmod a-w $(distdir)
563         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
564           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
565           && cd $(distdir)/_build \
566           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
567             --with-included-gettext \
568             $(DISTCHECK_CONFIGURE_FLAGS) \
569           && $(MAKE) $(AM_MAKEFLAGS) \
570           && $(MAKE) $(AM_MAKEFLAGS) dvi \
571           && $(MAKE) $(AM_MAKEFLAGS) check \
572           && $(MAKE) $(AM_MAKEFLAGS) install \
573           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
574           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
575           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
576                 distuninstallcheck \
577           && chmod -R a-w "$$dc_install_base" \
578           && ({ \
579                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
580                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
581                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
582                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
583                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
584               } || { rm -rf "$$dc_destdir"; exit 1; }) \
585           && rm -rf "$$dc_destdir" \
586           && $(MAKE) $(AM_MAKEFLAGS) dist \
587           && rm -rf $(DIST_ARCHIVES) \
588           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
589         $(am__remove_distdir)
590         @(echo "$(distdir) archives ready for distribution: "; \
591           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
592           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
593 distuninstallcheck:
594         @cd $(distuninstallcheck_dir) \
595         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
596            || { echo "ERROR: files left after uninstall:" ; \
597                 if test -n "$(DESTDIR)"; then \
598                   echo "  (check DESTDIR support)"; \
599                 fi ; \
600                 $(distuninstallcheck_listfiles) ; \
601                 exit 1; } >&2
602 distcleancheck: distclean
603         @if test '$(srcdir)' = . ; then \
604           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
605           exit 1 ; \
606         fi
607         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
608           || { echo "ERROR: files left in build directory after distclean:" ; \
609                $(distcleancheck_listfiles) ; \
610                exit 1; } >&2
611 check-am: all-am
612 check: check-recursive
613 all-am: Makefile
614 installdirs: installdirs-recursive
615 installdirs-am:
616 install: install-recursive
617 install-exec: install-exec-recursive
618 install-data: install-data-recursive
619 uninstall: uninstall-recursive
620
621 install-am: all-am
622         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
623
624 installcheck: installcheck-recursive
625 install-strip:
626         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
627           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
628           `test -z '$(STRIP)' || \
629             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
630 mostlyclean-generic:
631
632 clean-generic:
633
634 distclean-generic:
635         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
636
637 maintainer-clean-generic:
638         @echo "This command is intended for maintainers to use"
639         @echo "it deletes files that may require special tools to rebuild."
640 clean: clean-recursive
641
642 clean-am: clean-generic clean-libtool mostlyclean-am
643
644 distclean: distclean-recursive
645         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
646         -rm -f Makefile
647 distclean-am: clean-am distclean-generic distclean-hdr \
648         distclean-libtool distclean-tags
649
650 dvi: dvi-recursive
651
652 dvi-am:
653
654 html: html-recursive
655
656 info: info-recursive
657
658 info-am:
659
660 install-data-am:
661
662 install-exec-am:
663
664 install-info: install-info-recursive
665
666 install-man:
667
668 installcheck-am:
669
670 maintainer-clean: maintainer-clean-recursive
671         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
672         -rm -rf $(top_srcdir)/autom4te.cache
673         -rm -f Makefile
674 maintainer-clean-am: distclean-am maintainer-clean-generic
675
676 mostlyclean: mostlyclean-recursive
677
678 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
679
680 pdf: pdf-recursive
681
682 pdf-am:
683
684 ps: ps-recursive
685
686 ps-am:
687
688 uninstall-am: uninstall-info-am
689
690 uninstall-info: uninstall-info-recursive
691
692 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
693         check-am clean clean-generic clean-libtool clean-recursive \
694         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
695         dist-shar dist-tarZ dist-zip distcheck distclean \
696         distclean-generic distclean-hdr distclean-libtool \
697         distclean-recursive distclean-tags distcleancheck distdir \
698         distuninstallcheck dvi dvi-am html html-am info info-am \
699         install install-am install-data install-data-am install-exec \
700         install-exec-am install-info install-info-am install-man \
701         install-strip installcheck installcheck-am installdirs \
702         installdirs-am maintainer-clean maintainer-clean-generic \
703         maintainer-clean-recursive mostlyclean mostlyclean-generic \
704         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
705         tags tags-recursive uninstall uninstall-am uninstall-info-am
706
707 # Tell versions [3.59,3.63) of GNU make to not export all variables.
708 # Otherwise a system limit (for SysV at least) may be exceeded.
709 .NOEXPORT: